%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging
Version:          3.1.3
Release:          %mkrel 2
Summary:          The JBoss Logging Framework
Group:            Development/Java
License:          ASL 2.0
URL:              https://github.com/jboss-logging/jboss-logging
Source0:          https://github.com/jboss-logging/jboss-logging/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-logmanager
BuildRequires:    slf4j
BuildRequires:    log4j
BuildRequires:    apiviz
BuildRequires:    jboss-parent
BuildRequires:    maven-surefire-provider-junit

%description
This package contains the JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-logging-%{namedversion}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc src/main/resources/META-INF/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc src/main/resources/META-INF/LICENSE.txt




%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.1.3-2.mga4
+ Revision: 541192
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.1.3-1.mga4
+ Revision: 495337
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-4.mga3
+ Revision: 355063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.1.0-3.mga3
+ Revision: 331811
- Java Stack Mass Rebuild

* Fri Mar 02 2012 dmorgan <dmorgan> 3.1.0-2.mga2
+ Revision: 216971
- Clean spec file

  + gil <gil>
    - update to 3.1.0.GA
    - update to 3.1.0.CR1
    - imported package jboss-logging


* Thu Jul 28 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-1
- Initial packaging

